#!/bin/sh

PROCESS=lguplus-uagent-2.1.9

APP_HOME=/sms/LGUPlus_Agent_2.1.9

JAVA=/usr/local/jdk1.5.0_22/bin/java 

# csh  setenv LANG ko_KR.eucKR, AIX  ko_KR.IBM-eucKR
export LANG=ko_KR.euckr

CLASSPATH=.:$APP_HOME/conf
for i in `ls $APP_HOME/lib/*.jar`
do
  CLASSPATH=${CLASSPATH}:${i}
done


if [ $# -eq 1 ]
then
    echo $1
else
    echo "usage: uagent.sh start/stop/kill/setup/enc"
    echo "       start : START LG U+ SMS/MMS Agent."
    echo "       stop  : STOP LG U+ SMS/MMMS Agent."
    echo "       kill  : KILL LG U+ SMS/MMMS Agent immediately."
    echo "       setup : Check Up Server & DBMS Connection."
    echo "       enc   : Encrypt SMS/MMS Password & DBMS Password."
    exit
fi


if [ $1 = "start" ]
then

	count=$(ps -ef | grep "app.name=$PROCESS" | grep -v grep | grep -v tail | wc -l)
	if [ $count -eq 0 ]
	then
		nohup $JAVA -Djava.endorsed.dirs=$APP_HOME/lib/ -Dapp.name=$PROCESS $JAVA_OPTS -cp ".:${CLASSPATH}" lguplus.main.XMain -config:$APP_HOME/conf/agent.conf -process_id:$PROCESS >> $APP_HOME/log/$PROCESS.out & echo $! > $APP_HOME/log/$PROCESS.pid
		ps -ef | grep "app.name=$PROCESS"
	else
		echo "$PROCESS is already running."
	fi

elif [ $1 = "stop" ]
then
	count=$(ps -ef | grep "app.name=$PROCESS" | grep -v grep | grep -v tail | wc -l)
	if [ $count -eq 1 ]
	then
		p_string=$(ps -ef | grep "app.name=$PROCESS" | grep -v grep | grep -v tail)
		pid=$(echo $p_string | awk '{print $2}')
	 	echo "kill pid : $pid"
	 	kill $pid
	else
		echo "$PROCESS is not running"	
	fi

elif [ $1 = "kill" ]
then
	count=$(ps -ef | grep "app.name=$PROCESS" | grep -v grep | grep -v tail | wc -l)
	if [ $count -eq 1 ]
	then
		p_string=$(ps -ef | grep "app.name=$PROCESS" | grep -v grep | grep -v tail)
		pid=$(echo $p_string | awk '{print $2}')
	 	kill -9 $pid
	else
		echo "$PROCESS is not running"	
	fi

elif [ $1 = "setup" ]
then
	$JAVA -cp ".:${CLASSPATH}" lguplus.common.util.AgentSetupChecker -config:$APP_HOME/conf/agent.conf 

elif [ $1 = "enc" ]
then
	$JAVA -cp ".:${CLASSPATH}" lguplus.common.util.AgentEncrypt -config:$APP_HOME/conf/agent.conf 
elif [ $1 = "test sms" ]
then
	nohup $JAVA -cp ".:${CLASSPATH}" lguplus.sms.sim.SimSMSRelay -port:3000
elif [ $1 = "test mms" ]
then
	nohup $JAVA -cp ".:${CLASSPATH}" lguplus.mms.sim.SimMMSRelay -port:8100
fi